/* Navbar / Header */

header {
    display: block;
    overflow: visible;
}

nav {
    position: sticky;
    top: 0;
}

nav a {
    background-color: var(--accent);
    color: var(--text-main);
    padding: 5px 8px;
    border-radius: 8px;
    text-decoration: none;
    opacity: 1;
    transition: opacity 0.3s;
}

nav a:hover {
    opacity: 0.85;
    text-decoration: none;
}

/* General Style */

h2 {
    font-size: 1.2rem;
}

h4 {
    text-decoration: underline;
    text-underline-offset: 5px;
    color: var(--text-secondary);
    padding-bottom: 10px;
}

/* Project List */

.projects-grid {
    display: grid;
    gap: 80px;
    grid-template-columns: 1fr;
}

.tech-stack img {
    width: 30px;
    height: 30px;
    display: block;
}

article {
    background-color: var(--card-bg);
    padding: 2rem;
    border-radius: 12px;
    transition: 0.3s ease;
}

article:hover {
    transform: scale(1.05);
}

.card-links {
    justify-content: left;
    gap: 1rem;
}

/* Top Button Arrow */

#top-button {
    position: sticky;
    bottom: 50px;
    left: 100%;
    width: 25px;
    height: 25px;
    margin-right: -50px;
}

@media (max-width: 768px) {
    #top-button {

    }
}

#top-button img {
    filter: brightness(0) invert(1);
}
